Bug 1731758 - Detailed errors from the package manager follow: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Summary: Detailed errors from the package manager follow: Error calling StartServiceB...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-21 20:49 UTC by Warren Lewis
Modified: 2020-02-15 06:35 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
gnome-software --verbose (79.44 KB, text/plain)
2019-10-02 20:56 UTC, Chris Murphy
no flags Details
journal (852.56 KB, text/plain)
2019-10-02 20:58 UTC, Chris Murphy
no flags Details

Description Warren Lewis 2019-07-21 20:49:58 UTC
Description of problem:
When I restart my system I get a notification that updates failed to be installed.  Clicking the notification opens Gnome-software where a secondary window opens with "Detailed errors from the package manager follow:

Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached"
in it.
Manually starting fwupd.service from systemctl seems to work.  However it can't be enabled likely because it is intended to be started as needed by Dbus.

Version-Release number of selected component (if applicable):
fwupd-1.2.10-1.fc30.x86_64
gnome-software-3.32.4-1.fc30.x86_64


How reproducible:
Every reboot.

Steps to Reproduce:
1.Reboot system
2.Error appears as a notification.
3.

Actual results:
Error notification

Expected results:
No error.

Additional info:

Comment 1 Richard Hughes 2019-07-31 15:15:08 UTC
Does this work? "sudo /usr/libexec/fwupd/fwupd --verbose" and then do "fwupdmgr get-devices" in another console tab.

Comment 2 Warren Lewis 2019-08-05 00:56:50 UTC
Output from first terminal window with user and hostname sanitized:

[X@Y ~] $ sudo /usr/libexec/fwupd/fwupd --verbose
[sudo] password for X: 
00:41:17:0995 FuDebug              Verbose debugging enabled (on console 1)
00:41:17:0995 FuConfig             loading config values from /etc/fwupd/daemon.conf
00:41:17:0996 Fwupd                looking for os-release at /etc/os-release
00:41:17:0996 FuConfig             loading /usr/share/fwupd/metainfo
00:41:17:0996 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
00:41:17:0996 XbSilo               file: 751ecebc-7b9b-597b-99a3-7e0986793e1d, current:751ecebc-7b9b-597b-99a3-7e0986793e1d, cached: (null)
00:41:17:0996 XbSilo               loading silo with file contents
00:41:17:0996 FuConfig             using config path of /etc/fwupd
00:41:17:0996 FuConfig             loading config from /etc/fwupd/remotes.d/vendor.conf
00:41:17:0996 FuConfig             loading config from /etc/fwupd/remotes.d/lvfs.conf
00:41:17:0996 FuConfig             loading config from /etc/fwupd/remotes.d/lvfs-testing.conf
00:41:17:0996 FuConfig             loading config from /etc/fwupd/remotes.d/dell-esrt.conf
00:41:17:0997 FuConfig             loading config from /etc/fwupd/remotes.d/vendor-directory.conf
00:41:17:0997 FuConfig             ignoring unfound remote fwupd
00:41:17:0997 FuConfig             ordering lvfs-testing=lvfs+1
00:41:17:0997 FuConfig             ignoring unfound remote fwupd
00:41:17:0997 FuConfig             ignoring unfound remote fwupd
00:41:17:0997 FuConfig             ignoring unfound remote fwupd
00:41:18:0002 FuEngine             client certificate exists and working
00:41:18:0002 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
00:41:18:0002 FuHistory            got schema version of 5
00:41:18:0002 FuIdle               setting timeout to 7200s
00:41:18:0002 FuHwids              smbios property Manufacturer=HP
00:41:18:0002 FuHwids              smbios property EnclosureKind=a
00:41:18:0002 FuHwids              smbios property Family=103C_5335KV G=N L=CON B=HP
00:41:18:0002 FuHwids              smbios property ProductName=HP Notebook
00:41:18:0002 FuHwids              smbios property ProductSku=X7T63UA#ABA
00:41:18:0002 FuHwids              smbios property BiosVendor=Insyde
00:41:18:0002 FuHwids              smbios property BiosVersion=F.13
00:41:18:0002 FuHwids              smbios property BiosMajorRelease=0f
00:41:18:0002 FuHwids              smbios property BiosMinorRelease=0d
00:41:18:0002 FuHwids              smbios property BaseboardManufacturer=HP
00:41:18:0002 FuHwids              smbios property BaseboardProduct=81ED
00:41:18:0002 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/altos.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/ata.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/colorhug.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/csr-aiaiai.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/dell-dock.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/dell.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/dfu.quirk
00:41:18:0003 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/ebitdo.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/fastboot.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/nitrokey.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/nvme.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/rts54hid.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/rts54hub.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/steelseries.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/superio.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/synaptics-prometheus.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/synapticsmst.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/uefi.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/unifying.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/wacom-raw.quirk
00:41:18:0004 FuQuirks             loading quirks from /usr/share/fwupd/quirks.d/wacom-usb.quirk
00:41:18:0004 FuQuirks             now 183 quirk entries
00:41:18:0004 FuQuirks             no /var/lib/fwupd/quirks.d, skipping
00:41:18:0004 FuEngine             remote lvfs-testing not enabled, so skipping
00:41:18:0005 FuEngine             remote vendor not enabled, so skipping
00:41:18:0005 FuEngine             remote vendor-directory not enabled, so skipping
00:41:18:0005 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
00:41:18:0005 XbSilo               0.01ms      parse blob
00:41:18:0005 XbSilo               0.04ms      loaded file
00:41:18:0005 XbSilo               file: c1c6d9e4-3069-5dc3-9899-5f1bb453ed50, current:c1c6d9e4-3069-5dc3-9899-5f1bb453ed50, cached: (null)
00:41:18:0005 XbSilo               loading silo with file contents
00:41:18:0005 XbSilo               0.01ms      parse blob
00:41:18:0005 XbSilo               0.14ms      query on / with `components/component` limit=0 -> 285 results
00:41:18:0005 FuEngine             285 components now in silo
00:41:18:0005 XbSilo               0.14ms      query on / with `components/component/provides/firmware` limit=0 -> 299 results
00:41:18:0005 XbSilo               0.06ms      query on / with `components/component/provides/firmware` limit=0 -> 299 results
00:41:18:0008 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
00:41:18:0009 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
00:41:18:0009 FuPluginDell         Using libsmbios 2.4
00:41:18:0009 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so
00:41:18:0009 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so
00:41:18:0009 FuPlugin             added udev subsystem watch of hidraw
00:41:18:0009 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
00:41:18:0010 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
00:41:18:0010 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so
00:41:18:0010 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so
00:41:18:0010 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
00:41:18:0013 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
00:41:18:0013 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so
00:41:18:0013 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so
00:41:18:0013 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_udev.so
00:41:18:0014 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_udev.so
00:41:18:0014 FuPlugin             added udev subsystem watch of pci
00:41:18:0014 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so
00:41:18:0014 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so
00:41:18:0014 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so
00:41:18:0014 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so
00:41:18:0014 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
00:41:18:0015 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
00:41:18:0015 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
00:41:18:0015 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
00:41:18:0015 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so
00:41:18:0015 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so
00:41:18:0015 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
00:41:18:0016 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
00:41:18:0016 FuPlugin             added udev subsystem watch of nvme
00:41:18:0016 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
00:41:18:0016 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
00:41:18:0016 FuEngine             plugin test is blacklisted
00:41:18:0016 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
00:41:18:0016 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
00:41:18:0016 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so
00:41:18:0017 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so
00:41:18:0017 FuPlugin             added udev subsystem watch of block
00:41:18:0017 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
00:41:18:0017 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
00:41:18:0017 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
00:41:18:0017 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
00:41:18:0017 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
00:41:18:0018 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
00:41:18:0018 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
00:41:18:0018 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
00:41:18:0018 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so
00:41:18:0019 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so
00:41:18:0019 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
00:41:18:0019 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
00:41:18:0019 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
00:41:18:0019 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
00:41:18:0019 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
00:41:18:0020 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
00:41:18:0021 FuPluginThunderbolt  Direct kernel force power support at /sys/devices/platform/PNP0C14:00/wmi_bus/wmi_bus-PNP0C14:00/86CCFD48-205E-4A77-9C48-2021CBEDE341/force_power
00:41:18:0021 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
00:41:18:0022 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
00:41:18:0022 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
00:41:18:0022 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
00:41:18:0022 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so
00:41:18:0023 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so
00:41:18:0023 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so
00:41:18:0023 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so
00:41:18:0023 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so
00:41:18:0024 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so
00:41:18:0024 FuPluginList         dell [0] to be ordered after uefi [0] so promoting to [1]
00:41:18:0024 FuPluginList         synapticsmst [0] to be ordered after dell [1] so promoting to [2]
00:41:18:0024 FuPluginList         uefi [0] to be ordered after upower [0] so promoting to [1]
00:41:18:0024 FuPluginList         dell [1] to be ordered after uefi [1] so promoting to [2]
00:41:18:0024 FuPluginList         synapticsmst [2] to be ordered after dell [2] so promoting to [3]
00:41:18:0024 FuPluginList         thunderbolt_power [0] to be ordered after thunderbolt [0] so promoting to [1]
00:41:18:0024 FuPluginList         thunderbolt [0] better than dell_dock [0] so bumping to [1]
00:41:18:0024 FuPluginList         dell_dock [0] better than synapticsmst [0] so bumping to [1]
00:41:18:0024 FuPluginList         thunderbolt [1] better than dell_dock [1] so bumping to [2]
00:41:18:0024 FuEngine             Emitting PropertyChanged('Status'='loading')
00:41:18:0024 FuMain               Emitting PropertyChanged('Status'='loading')
00:41:18:0024 FuPlugin             performing startup() on modem_manager
00:41:18:0026 FuPlugin             performing startup() on upower
00:41:18:0027 FuPlugin             performing startup() on unifying
00:41:18:0027 FuPlugin             performing startup() on dell_esrt
00:41:18:0027 FuEngine             disabling plugin because: failed to startup using dell_esrt: UEFI firmware already supported
00:41:18:0027 FuPlugin             performing startup() on redfish
00:41:18:0027 FuEngine             disabling plugin because: failed to startup using redfish: no SMBIOS table
00:41:18:0027 FuPlugin             performing startup() on uefi
00:41:18:0027 FuPlugin             performing startup() on dell
00:41:18:0028 FuEngine             disabling plugin because: failed to startup using dell: Firmware updating not supported
00:41:18:0028 FuPlugin             performing coldplug() on thunderbolt
00:41:18:0028 FuPlugin             performing coldplug() on modem_manager
00:41:18:0028 FuPluginMm           ModemManager 1.10.2-1.fc30 is available
00:41:18:0028 FuPlugin             performing coldplug() on amt
00:41:18:0028 FuEngine             disabling plugin because: failed to coldplug using amt: ME refused connection
00:41:18:0028 FuPlugin             performing coldplug() on superio
00:41:18:0028 FuPlugin             performing coldplug() on uefi
00:41:18:0031 FuDevice             using 347d871289996762ee06034aba35f01e1bc9a15a for UEFI-118f63c6-92c5-4ccf-8733-831b32ea1b17-dev0
00:41:18:0031 FuPlugin             emit added from uefi: 347d871289996762ee06034aba35f01e1bc9a15a
00:41:18:0031 FuPlugin             performing fu_plugin_device_registered() on thunderbolt_power
00:41:18:0031 FuDeviceList         ::added 347d871289996762ee06034aba35f01e1bc9a15a
00:41:18:0031 XbSilo               0.18ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='118f63c6-92c5-4ccf-8733-831b32ea1b17']/../..` limit=1 -> 0 results
00:41:18:0031 FuHistory            get device
00:41:18:0031 FuDevice             using ed1ceee8586c676c7f20f76d9644d4529cd13885 for UEFI-978b4cea-7c60-41f8-b5dd-93797fd3f314-dev0
00:41:18:0031 FuPlugin             emit added from uefi: ed1ceee8586c676c7f20f76d9644d4529cd13885
00:41:18:0031 FuPlugin             performing fu_plugin_device_registered() on thunderbolt_power
00:41:18:0032 FuDeviceList         ::added ed1ceee8586c676c7f20f76d9644d4529cd13885
00:41:18:0032 XbSilo               0.23ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='978b4cea-7c60-41f8-b5dd-93797fd3f314']/../..` limit=1 -> 0 results
00:41:18:0032 FuHistory            get device
00:41:18:0032 FuDevice             using afcf33fac0bd4d085dad003c37963c75374d9920 for UEFI-865d322c-6ac7-4734-b43e-55db5a557d63-dev0
00:41:18:0032 FuPlugin             emit added from uefi: afcf33fac0bd4d085dad003c37963c75374d9920
00:41:18:0032 FuPlugin             performing fu_plugin_device_registered() on thunderbolt_power
00:41:18:0032 FuDeviceList         ::added afcf33fac0bd4d085dad003c37963c75374d9920
00:41:18:0032 XbSilo               0.14ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='865d322c-6ac7-4734-b43e-55db5a557d63']/../..` limit=1 -> 0 results
00:41:18:0032 FuHistory            get device
00:41:18:0034 FuPluginUefi         ESP mountpoint set as /boot/efi
00:41:18:0035 FuPluginUefi         SecureBoot is: Disabled
00:41:18:0035 FuPluginUefi         UX Capsule support : Enabled
00:41:18:0035 FuPlugin             performing coldplug() on thunderbolt_power
00:41:18:0036 FuPluginThunderbolt  Bolt force power support: 1
00:41:18:0036 FuPluginThunderbolt  Bolt force power support: 1
00:41:18:0036 FuPluginThunderbolt  Setting force power to 1 using bolt
00:41:18:0039 FuPluginThunderbolt  Setting timeout to 20 seconds
00:41:18:0039 FuPlugin             performing coldplug() on synapticsmst
00:41:18:0040 FuPluginSynapticsMST No device found on drm_dp_aux0: no device
00:41:18:0040 FuEngine             using plugins: wacom_raw, fastboot, thunderbolt, modem_manager, colorhug, udev, upower, unifying, nitrokey, nvme, steelseries, ebitdo, ata, dfu, superio, dell_dock, wacom_usb, synaptics_prometheus, csr, rts54hid, rts54hub, altos, uefi, thunderbolt_power, synapticsmst
00:41:18:0040 FuEngine             no plugin specified for USB device 1d6b:0003
00:41:18:0041 FuEngine             no plugin specified for USB device 05c8:038f
00:41:18:0041 FuEngine             no plugin specified for USB device 8087:0aa7
00:41:18:0041 FuEngine             no plugin specified for USB device 1d6b:0002
00:41:18:0041 FuEngine             0 devices with subsystem hidraw
00:41:18:0042 FuEngine             16 devices with subsystem pci
00:41:18:0043 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:00.0
00:41:18:0043 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0043 FuPlugin             performing udev_device_added() on udev
00:41:18:0043 FuPlugin             performing udev_device_added() on nvme
00:41:18:0043 FuPlugin             performing udev_device_added() on ata
00:41:18:0043 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:02.0
00:41:18:0043 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0043 FuPlugin             performing udev_device_added() on udev
00:41:18:0043 FuDevice             using bbbf1ce3d1cf15550c3760b354592040292415bb for PCI_SLOT_NAME=0000:00:02.0
00:41:18:0043 FuPlugin             emit added from udev: bbbf1ce3d1cf15550c3760b354592040292415bb
00:41:18:0043 FuPlugin             performing fu_plugin_device_registered() on uefi
00:41:18:0043 FuPlugin             performing fu_plugin_device_registered() on thunderbolt_power
00:41:18:0043 FuDeviceList         ::added bbbf1ce3d1cf15550c3760b354592040292415bb
00:41:18:0043 XbSilo               0.31ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='2886e312-afd8-5510-8993-12d568a85e00']/../..|components/component/provides/firmware[@type='flashed'][text()='38f6c009-a25c-5b50-b3b5-fef4f9c6b846']/../..` limit=1 -> 0 results
00:41:18:0043 FuHistory            get device
00:41:18:0044 FuPlugin             performing udev_device_added() on nvme
00:41:18:0044 FuPlugin             performing udev_device_added() on ata
00:41:18:0044 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:04.0
00:41:18:0044 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0044 FuPlugin             performing udev_device_added() on udev
00:41:18:0044 FuPlugin             performing udev_device_added() on nvme
00:41:18:0044 FuPlugin             performing udev_device_added() on ata
00:41:18:0044 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:08.0
00:41:18:0044 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0044 FuPlugin             performing udev_device_added() on udev
00:41:18:0044 FuPlugin             performing udev_device_added() on nvme
00:41:18:0044 FuPlugin             performing udev_device_added() on ata
00:41:18:0044 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:14.0
00:41:18:0044 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0044 FuPlugin             performing udev_device_added() on udev
00:41:18:0044 FuPlugin             performing udev_device_added() on nvme
00:41:18:0044 FuPlugin             performing udev_device_added() on ata
00:41:18:0044 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:14.2
00:41:18:0044 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0044 FuPlugin             performing udev_device_added() on udev
00:41:18:0044 FuPlugin             performing udev_device_added() on nvme
00:41:18:0044 FuPlugin             performing udev_device_added() on ata
00:41:18:0044 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:16.0
00:41:18:0044 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0044 FuPlugin             performing udev_device_added() on udev
00:41:18:0044 FuPlugin             performing udev_device_added() on nvme
00:41:18:0044 FuPlugin             performing udev_device_added() on ata
00:41:18:0045 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0
00:41:18:0045 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0045 FuPlugin             performing udev_device_added() on udev
00:41:18:0045 FuPlugin             performing udev_device_added() on nvme
00:41:18:0045 FuPlugin             performing udev_device_added() on ata
00:41:18:0045 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1c.0
00:41:18:0045 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0045 FuPlugin             performing udev_device_added() on udev
00:41:18:0045 FuPlugin             performing udev_device_added() on nvme
00:41:18:0045 FuPlugin             performing udev_device_added() on ata
00:41:18:0045 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1c.0/0000:01:00.0
00:41:18:0045 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0045 FuPlugin             performing udev_device_added() on udev
00:41:18:0045 FuPlugin             performing udev_device_added() on nvme
00:41:18:0045 FuPlugin             performing udev_device_added() on ata
00:41:18:0045 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1c.5
00:41:18:0045 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0045 FuPlugin             performing udev_device_added() on udev
00:41:18:0045 FuPlugin             performing udev_device_added() on nvme
00:41:18:0045 FuPlugin             performing udev_device_added() on ata
00:41:18:0045 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1c.5/0000:02:00.0
00:41:18:0045 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0045 FuPlugin             performing udev_device_added() on udev
00:41:18:0045 FuPlugin             performing udev_device_added() on nvme
00:41:18:0045 FuPlugin             performing udev_device_added() on ata
00:41:18:0046 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1f.0
00:41:18:0046 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0046 FuPlugin             performing udev_device_added() on udev
00:41:18:0046 FuPlugin             performing udev_device_added() on nvme
00:41:18:0046 FuPlugin             performing udev_device_added() on ata
00:41:18:0046 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1f.2
00:41:18:0046 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0046 FuPlugin             performing udev_device_added() on udev
00:41:18:0046 FuPlugin             performing udev_device_added() on nvme
00:41:18:0046 FuPlugin             performing udev_device_added() on ata
00:41:18:0046 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1f.3
00:41:18:0046 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0046 FuPlugin             performing udev_device_added() on udev
00:41:18:0046 FuPlugin             performing udev_device_added() on nvme
00:41:18:0046 FuPlugin             performing udev_device_added() on ata
00:41:18:0046 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:1f.4
00:41:18:0046 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0046 FuPlugin             performing udev_device_added() on udev
00:41:18:0046 FuPlugin             performing udev_device_added() on nvme
00:41:18:0046 FuPlugin             performing udev_device_added() on ata
00:41:18:0046 FuEngine             0 devices with subsystem nvme
00:41:18:0049 FuEngine             16 devices with subsystem block
00:41:18:0049 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0049 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda
00:41:18:0049 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0049 FuPlugin             performing udev_device_added() on udev
00:41:18:0049 FuPlugin             performing udev_device_added() on nvme
00:41:18:0049 FuPlugin             performing udev_device_added() on ata
00:41:18:0049 FuDevice             using 5dbeb140337f610d54913c0f43d15fdaa0eafb51 for DEVPATH=/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0
00:41:18:0049 FuPluginAta          CBD:            a1 08 0e 00 01 00 00 00 40 ec 00 00 
00:41:18:0131 FuPluginAta          ATA_12 status=0x0, host_status=0x0, driver_status=0x0
00:41:18:0131 FuPluginAta          SB:             00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00:41:18:0131 FuPluginAta          ATA_12 stat=00 err=00 nsect=00 lbal=00 lbam=00 lbah=00 dev=00
00:41:18:0131 FuPluginAta          invalid component ID, skipping
00:41:18:0132 FuPlugin             emit added from ata: 5dbeb140337f610d54913c0f43d15fdaa0eafb51
00:41:18:0132 FuPlugin             performing fu_plugin_device_registered() on uefi
00:41:18:0132 FuPlugin             performing fu_plugin_device_registered() on thunderbolt_power
00:41:18:0132 FuDeviceList         ::added 5dbeb140337f610d54913c0f43d15fdaa0eafb51
00:41:18:0135 XbSilo               2.81ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='596e5f3d-dd0a-5e94-a3a9-61ee89ade40f']/../..|components/component/provides/firmware[@type='flashed'][text()='649c2b6e-e75b-5ad1-8438-76db61cc7967']/../..|components/component/provides/firmware[@type='flashed'][text()='ecf11d41-afe7-59eb-99b7-41d9e640524d']/../..` limit=1 -> 0 results
00:41:18:0135 FuHistory            get device
00:41:18:0136 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0137 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda1
00:41:18:0137 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0137 FuPlugin             performing udev_device_added() on udev
00:41:18:0137 FuPlugin             performing udev_device_added() on nvme
00:41:18:0137 FuPlugin             performing udev_device_added() on ata
00:41:18:0138 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0138 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda2
00:41:18:0138 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0138 FuPlugin             performing udev_device_added() on udev
00:41:18:0138 FuPlugin             performing udev_device_added() on nvme
00:41:18:0138 FuPlugin             performing udev_device_added() on ata
00:41:18:0139 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0139 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3
00:41:18:0139 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0139 FuPlugin             performing udev_device_added() on udev
00:41:18:0139 FuPlugin             performing udev_device_added() on nvme
00:41:18:0139 FuPlugin             performing udev_device_added() on ata
00:41:18:0140 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0140 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda4
00:41:18:0140 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0140 FuPlugin             performing udev_device_added() on udev
00:41:18:0140 FuPlugin             performing udev_device_added() on nvme
00:41:18:0140 FuPlugin             performing udev_device_added() on ata
00:41:18:0141 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0141 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda5
00:41:18:0141 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0141 FuPlugin             performing udev_device_added() on udev
00:41:18:0141 FuPlugin             performing udev_device_added() on nvme
00:41:18:0141 FuPlugin             performing udev_device_added() on ata
00:41:18:0142 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0142 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda6
00:41:18:0142 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0143 FuPlugin             performing udev_device_added() on udev
00:41:18:0143 FuPlugin             performing udev_device_added() on nvme
00:41:18:0143 FuPlugin             performing udev_device_added() on ata
00:41:18:0144 FuCommon             not checking 01.01A01 as no version format set
00:41:18:0144 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda7
00:41:18:0144 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0144 FuPlugin             performing udev_device_added() on udev
00:41:18:0144 FuPlugin             performing udev_device_added() on nvme
00:41:18:0144 FuPlugin             performing udev_device_added() on ata
00:41:18:0145 FuCommon             not checking MD00 as no version format set
00:41:18:0145 FuEngine             no plugin specified for udev device /sys/devices/pci0000:00/0000:00:17.0/ata2/host1/target1:0:0/1:0:0:0/block/sr0
00:41:18:0145 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0145 FuPlugin             performing udev_device_added() on udev
00:41:18:0145 FuPlugin             performing udev_device_added() on nvme
00:41:18:0145 FuPlugin             performing udev_device_added() on ata
00:41:18:0146 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/loop0
00:41:18:0146 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0146 FuPlugin             performing udev_device_added() on udev
00:41:18:0146 FuPlugin             performing udev_device_added() on nvme
00:41:18:0146 FuPlugin             performing udev_device_added() on ata
00:41:18:0147 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/loop1
00:41:18:0147 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0147 FuPlugin             performing udev_device_added() on udev
00:41:18:0147 FuPlugin             performing udev_device_added() on nvme
00:41:18:0147 FuPlugin             performing udev_device_added() on ata
00:41:18:0147 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/loop2
00:41:18:0147 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0147 FuPlugin             performing udev_device_added() on udev
00:41:18:0148 FuPlugin             performing udev_device_added() on nvme
00:41:18:0148 FuPlugin             performing udev_device_added() on ata
00:41:18:0148 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/pktcdvd0
00:41:18:0148 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0148 FuPlugin             performing udev_device_added() on udev
00:41:18:0148 FuPlugin             performing udev_device_added() on nvme
00:41:18:0148 FuPlugin             performing udev_device_added() on ata
00:41:18:0149 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/dm-0
00:41:18:0149 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0149 FuPlugin             performing udev_device_added() on udev
00:41:18:0149 FuPlugin             performing udev_device_added() on nvme
00:41:18:0149 FuPlugin             performing udev_device_added() on ata
00:41:18:0150 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/dm-1
00:41:18:0150 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0150 FuPlugin             performing udev_device_added() on udev
00:41:18:0150 FuPlugin             performing udev_device_added() on nvme
00:41:18:0150 FuPlugin             performing udev_device_added() on ata
00:41:18:0151 FuEngine             no plugin specified for udev device /sys/devices/virtual/block/dm-2
00:41:18:0151 FuPlugin             performing udev_device_added() on wacom_raw
00:41:18:0151 FuPlugin             performing udev_device_added() on udev
00:41:18:0151 FuPlugin             performing udev_device_added() on nvme
00:41:18:0151 FuPlugin             performing udev_device_added() on ata
00:41:18:0152 FuEngine             Emitting PropertyChanged('Status'='idle')
00:41:18:0152 FuMain               Emitting PropertyChanged('Status'='idle')
00:41:18:0158 FuMain               Started with locale en_US.UTF-8
00:41:18:0158 FuMain               Daemon ready for requests
00:41:18:0163 FuMain               FuMain: acquired name: org.freedesktop.fwupd
00:41:38:0063 FuPluginThunderbolt  Bolt force power support: 1
00:41:38:0064 FuPluginThunderbolt  Setting force power to 0 using bolt

Output from 2nd terminal window also sanitized:

[X@Y ~] $ fwupdmgr get-devices
Mismatched daemon and client, use fwupdmgr instead
[X@Y ~] $ sudo fwupdmgr get-devices
[sudo] password for X: 
Mismatched daemon and client, use fwupdmgr instead
[X@Y ~] $ ^C
[X@Y ~] $

Comment 3 Warren Lewis 2019-08-05 01:06:33 UTC
I thought maybe the 2 commands were in separate packages and got out of sync but that doesn't seem to be the case.

[Z@Y ~] $ rpm -qf /usr/libexec/fwupd/fwupd
fwupd-1.2.10-1.fc30.x86_64
[X@Y ~] $ which fwupdmgr 
/usr/bin/fwupdmgr
[X@Y ~] $ rpm -qf /usr/bin/fwupdmgr
fwupd-1.2.10-1.fc30.x86_64
[X@Y ~] $

Comment 4 Chris Murphy 2019-10-02 20:47:10 UTC
Seeing this with fwupd-1.2.11-1.fc31.x86_64 following a clean install of Fedora-Workstation-Live-x86_64-31-20191001.n.0.iso.

$ sudo journalctl -b | grep fwup
[sudo] password for chris: 
Oct 02 14:42:21 localhost.localdomain gnome-software[1568]: enabled plugins: desktop-categories, fwupd, os-release, packagekit, packagekit-local, packagekit-offline, packagekit-proxy, packagekit-refresh, packagekit-upgrade, packagekit-url-to-app, shell-extensions, appstream, fedora-pkgdb-collections, desktop-menu-path, epiphany, fedora_langpacks, flatpak, hardcoded-blacklist, hardcoded-featured, hardcoded-popular, modalias, packagekit-refine, rewrite-resource, odrs, packagekit-history, provenance, repos, systemd-updates, generic-updates, packagekit-refine-repos, provenance-license, icons, key-colors, key-colors-metadata
Oct 02 14:42:21 localhost.localdomain systemd[1915]: fwupd.service: Failed to set up mount namespacing: /run/systemd/unit-root/var/cache/fwupd: No such file or directory
Oct 02 14:42:21 localhost.localdomain systemd[1915]: fwupd.service: Failed at step NAMESPACE spawning /usr/libexec/fwupd/fwupd: No such file or directory
Oct 02 14:42:21 localhost.localdomain systemd[1]: fwupd.service: Main process exited, code=exited, status=226/NAMESPACE
Oct 02 14:42:21 localhost.localdomain systemd[1]: fwupd.service: Failed with result 'exit-code'.
Oct 02 14:42:21 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fwupd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Oct 02 14:42:46 localhost.localdomain gnome-software[1568]: not GsPlugin error g-io-error-quark:24: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Oct 02 14:42:46 localhost.localdomain gnome-software[1568]: not handling error failed for action refresh: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Oct 02 14:43:20 localhost.localdomain gnome-software[1568]: updates-shell: failed to get updates: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Oct 02 14:43:46 localhost.localdomain gnome-software[1568]: not GsPlugin error g-io-error-quark:24: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Oct 02 14:43:46 localhost.localdomain gnome-software[1568]: not handling error failed for action refresh: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Oct 02 14:44:12 localhost.localdomain gnome-software[1568]: failed to get updates: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached

Comment 5 Chris Murphy 2019-10-02 20:56:16 UTC
Created attachment 1622112 [details]
gnome-software --verbose

Comment 6 Chris Murphy 2019-10-02 20:58:07 UTC
Created attachment 1622113 [details]
journal

Comment 7 Chris Murphy 2019-10-04 18:37:23 UTC
OK I guess I'm running into bug 1757948

Comment 8 Rubén Lledó 2019-11-10 11:46:25 UTC
The same happens after upgrading Fedora 30 --> Fedora 31.

Regards.

Comment 9 Milan Zink 2019-11-11 06:50:34 UTC
/me hitting the same bug on F31:

fwupd-1.3.3-1.fc31.x86_64
gnome-software-3.34.1-6.fc31.x86_64

Nov 11 07:32:13 windmill.brq.redhat.com gnome-software[2809]: enabled plugins: desktop-categories, fwupd, os-release, packagekit, packagekit-local, packagekit-offline, packagekit-proxy, packagekit-refresh, packagekit-upgrade, packagekit-url-to-app, shell-extensions, appstream, fedora-pkgdb-collections, desktop-menu-path, epiphany, fedora_langpacks, flatpak, hardcoded-blacklist, hardcoded-featured, hardcoded-popular, modalias, packagekit-refine, rewrite-resource, odrs, packagekit-history, provenance, repos, systemd-updates, generic-updates, packagekit-refine-repos, provenance-license, icons, key-colors, key-colors-metadata
Nov 11 07:32:38 windmill.brq.redhat.com gnome-software[2809]: not GsPlugin error g-io-error-quark:24: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Nov 11 07:32:38 windmill.brq.redhat.com gnome-software[2809]: not handling error failed for action refresh: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached
Nov 11 07:32:38 windmill.brq.redhat.com fwupd[3148]: 06:32:38:0759 FIXME                failed to allocate dbus proxy object: Error calling StartServiceByName for com.intel.tss2.Tabrmd: Timeout was reached
Nov 11 07:32:38 windmill.brq.redhat.com fwupd[3148]: ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a)
Nov 11 07:32:39 windmill.brq.redhat.com fwupd[3148]: 06:32:39:0331 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:02.0: failed to open (null): Bad address
Nov 11 07:32:39 windmill.brq.redhat.com audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fwupd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=succes

I think it's due to disabled TPM (which I've disabled due to another bug (already resolved) )

06:47:28:0129 FuDevice             using e7cc234e82d08b6a14e246beb6b5f8142091e570 for UEFI-ebfe8df8-dee7-4692-a721-cbcf5095c5cf-dev0
06:47:53:0156 FIXME                failed to allocate dbus proxy object: Error calling StartServiceByName for com.intel.tss2.Tabrmd: Timeout was reached
ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a) 
06:47:53:0159 FuPluginUefi         failed to initialize TPM library

I'll try re-enable TPM to check if timeout disappears.

Comment 10 Milan Zink 2019-11-11 07:13:46 UTC
Yes, that was the trick. No timeout problem in `sudo /usr/libexec/fwupd/fwupd --verbose` output if TPM is enabled in BIOS. (TPM was disabled due to https://bugzilla.redhat.com/show_bug.cgi?id=1752961)

Looks more like TPM problem to me. It should just ignore TPM when it's disabled (I think). (related? https://github.com/tpm2-software/tpm2-abrmd/issues/541)

The only error remains:

06:54:11:0802 FuDevice             using bbbf1ce3d1cf15550c3760b354592040292415bb for PCI_SLOT_NAME=0000:00:02.0
06:54:11:0802 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:02.0: failed to open (null): Bad address
06:54:11:0918 FuCommon             not checking 184.60.3561 as no version format set

Which is:
00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 620 (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 2258
	Flags: bus master, fast devsel, latency 0, IRQ 153
	Memory at db000000 (64-bit, non-prefetchable) [size=16M]
	Memory at 80000000 (64-bit, prefetchable) [size=512M]
	I/O ports at e000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [ac] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [100] Process Address Space ID (PASID)
	Capabilities: [200] Address Translation Service (ATS)
	Capabilities: [300] Page Request Interface (PRI)
	Kernel driver in use: i915
	Kernel modules: i915

But this is not causing any timeouts.

Comment 11 Ilgaz 2019-11-19 07:07:41 UTC
I have the same issue on Fedora 31 however I don't have any kind of TPM disabled on my system.

 sudo /usr/libexec/fwupd/fwupd --verbose
 
07:03:06:0041 FuDebug              Verbose debugging enabled (on console 1)
07:03:06:0041 FuConfig             loading config values from /etc/fwupd/daemon.conf
07:03:06:0041 Fwupd                looking for os-release at /etc/os-release
07:03:06:0042 FuConfig             loading /usr/share/fwupd/metainfo
07:03:06:0045 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
07:03:06:0045 XbSilo               file: bf4a6564-07a4-5af8-890d-7454f9107845, current:bf4a6564-07a4-5af8-890d-7454f9107845, cached: (null)
07:03:06:0045 XbSilo               loading silo with file contents
07:03:06:0045 FuConfig             using config path of /etc/fwupd
07:03:06:0045 FuConfig             loading config from /etc/fwupd/remotes.d/dell-esrt.conf
07:03:06:0045 FuConfig             loading config from /etc/fwupd/remotes.d/vendor-directory.conf
07:03:06:0045 FuConfig             loading config from /etc/fwupd/remotes.d/lvfs.conf
07:03:06:0045 FuConfig             loading config from /etc/fwupd/remotes.d/lvfs-testing.conf
07:03:06:0046 FuConfig             loading config from /etc/fwupd/remotes.d/vendor.conf
07:03:06:0046 FuConfig             ignoring unfound remote fwupd
07:03:06:0046 FuConfig             ordering lvfs-testing=lvfs+1
07:03:06:0046 FuConfig             ignoring unfound remote fwupd
07:03:06:0046 FuConfig             ignoring unfound remote fwupd
07:03:06:0046 FuConfig             ignoring unfound remote fwupd
07:03:06:0054 FuEngine             client certificate exists and working
07:03:06:0054 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
07:03:06:0054 FuHistory            got schema version of 5
07:03:06:0055 FuIdle               setting timeout to 7200s
07:03:06:0055 FuHwids              smbios property Manufacturer=Hewlett-Packard
07:03:06:0055 FuHwids              smbios property EnclosureKind=a
07:03:06:0055 FuHwids              smbios property Family=103C_5335KV G=N L=CON B=HP S=PAV X=Null
07:03:06:0055 FuHwids              smbios property ProductName=HP Pavilion 13 x360 PC
07:03:06:0055 FuHwids              smbios property ProductSku=L0B89EA#AB8
07:03:06:0055 FuHwids              smbios property BiosVendor=Insyde
07:03:06:0055 FuHwids              smbios property BiosVersion=F.41
07:03:06:0055 FuHwids              smbios property BiosMajorRelease=0f
07:03:06:0055 FuHwids              smbios property BiosMinorRelease=41
07:03:06:0055 FuHwids              smbios property BaseboardManufacturer=Hewlett-Packard
07:03:06:0055 FuHwids              smbios property BaseboardProduct=2341
07:03:06:0059 FuQuirks             no /var/lib/fwupd/quirks.d, skipping
07:03:06:0059 XbSilo               attempting to load /var/cache/fwupd/quirks.xmlb
07:03:06:0059 XbSilo               file: 7c1c7e63-1ac9-511a-bf2b-67930eb3bee0, current:7c1c7e63-1ac9-511a-bf2b-67930eb3bee0, cached: (null)
07:03:06:0059 XbSilo               loading silo with file contents
07:03:06:0059 FuEngine             remote lvfs-testing not enabled, so skipping
07:03:06:0059 FuEngine             remote vendor not enabled, so skipping
07:03:06:0059 FuEngine             remote vendor-directory not enabled, so skipping
07:03:06:0059 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
07:03:06:0059 XbSilo               0.02ms      parse blob
07:03:06:0059 XbSilo               0.08ms      loaded file
07:03:06:0059 XbSilo               file: 4852bfbf-846e-51f8-a6ed-0ac7a7a0a8fe, current:4852bfbf-846e-51f8-a6ed-0ac7a7a0a8fe, cached: (null)
07:03:06:0059 XbSilo               loading silo with file contents
07:03:06:0059 XbSilo               0.01ms      parse blob
07:03:06:0060 XbSilo               0.20ms      query on / with `components/component` limit=0 -> 321 results
07:03:06:0060 FuEngine             321 components now in silo
07:03:06:0060 XbSilo               0.26ms      query on / with `components/component/provides/firmware` limit=0 -> 382 results
07:03:06:0060 XbSilo               0.13ms      query on / with `components/component/provides/firmware` limit=0 -> 382 results
07:03:06:0066 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
07:03:06:0067 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
07:03:06:0067 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
07:03:06:0067 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
07:03:06:0067 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so
07:03:06:0068 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so
07:03:06:0068 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so
07:03:06:0068 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so
07:03:06:0069 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
07:03:06:0069 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
07:03:06:0069 FuPlugin             added udev subsystem watch of nvme
07:03:06:0069 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thelio_io.so
07:03:06:0071 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thelio_io.so
07:03:06:0071 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
07:03:06:0073 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
07:03:06:0073 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
07:03:06:0076 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
07:03:06:0076 FuPluginDell         Using libsmbios 2.4
07:03:06:0077 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so
07:03:06:0077 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so
07:03:06:0077 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
07:03:06:0078 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
07:03:06:0078 FuPlugin             added udev subsystem watch of drm
07:03:06:0078 FuPlugin             added udev subsystem watch of drm_dp_aux_dev
07:03:06:0078 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
07:03:06:0078 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
07:03:06:0078 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
07:03:06:0079 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
07:03:06:0079 FuPlugin             added udev subsystem watch of block
07:03:06:0079 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
07:03:06:0079 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
07:03:06:0081 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so
07:03:06:0081 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so
07:03:06:0081 FuEngine             plugin test is blacklisted
07:03:06:0081 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
07:03:06:0082 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
07:03:06:0082 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
07:03:06:0083 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
07:03:06:0083 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so
07:03:06:0083 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so
07:03:06:0083 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so
07:03:06:0084 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so
07:03:06:0084 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_cxaudio.so
07:03:06:0084 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_cxaudio.so
07:03:06:0084 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so
07:03:06:0085 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so
07:03:06:0085 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
07:03:06:0085 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
07:03:06:0085 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so
07:03:06:0087 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so
07:03:06:0087 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
07:03:06:0089 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
07:03:06:0089 FuPlugin             added udev subsystem watch of hidraw
07:03:06:0089 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
07:03:06:0089 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
07:03:06:0089 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so
07:03:06:0090 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so
07:03:06:0090 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_vli_usbhub.so
07:03:06:0091 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_vli_usbhub.so
07:03:06:0091 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so
07:03:06:0091 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so
07:03:06:0091 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
07:03:06:0092 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
07:03:06:0092 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
07:03:06:0092 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
07:03:06:0092 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
07:03:06:0093 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
07:03:06:0093 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
07:03:06:0093 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
07:03:06:0094 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so
07:03:06:0094 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so
07:03:06:0094 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
07:03:06:0094 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
07:03:06:0095 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
07:03:06:0095 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
07:03:06:0095 FuPlugin             added udev subsystem watch of pci
07:03:06:0095 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
07:03:06:0102 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
07:03:06:0102 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
07:03:06:0102 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
07:03:06:0103 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
07:03:06:0103 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
07:03:06:0103 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
07:03:06:0104 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
07:03:06:0104 FuPluginList         dell [0] to be ordered after uefi [0] so promoting to [1]
07:03:06:0104 FuPluginList         thunderbolt_power [0] to be ordered after thunderbolt [0] so promoting to [1]
07:03:06:0104 FuPluginList         uefi [0] to be ordered after upower [0] so promoting to [1]
07:03:06:0104 FuPluginList         dell [1] to be ordered after uefi [1] so promoting to [2]
07:03:06:0104 FuPluginList         uefi_recovery [0] to be ordered after uefi [1] so promoting to [2]
07:03:06:0104 FuPluginList         dell_dock [0] better than synapticsmst [0] so bumping to [1]
07:03:06:0104 FuPluginList         thunderbolt [0] better than dell_dock [1] so bumping to [2]
07:03:06:0104 FuPluginList         dell_esrt [0] better than uefi [0] so bumping to [1]
07:03:06:0105 FuEngine             Emitting PropertyChanged('Status'='loading')
07:03:06:0105 FuMain               Emitting PropertyChanged('Status'='loading')
07:03:06:0105 FuPlugin             performing startup() on redfish
07:03:06:0105 FuEngine             disabling plugin because: failed to startup using redfish: no SMBIOS table
07:03:06:0105 FuPlugin             performing startup() on upower
07:03:06:0109 FuPlugin             performing startup() on synapticsmst
07:03:06:0110 FuPlugin             performing startup() on thunderbolt
07:03:06:0110 FuPluginThunderbolt  Using kernel 5.3.11-300.fc31.x86_64 (minimum 4.13.0)
07:03:06:0110 FuPlugin             performing startup() on unifying
07:03:06:0110 FuPlugin             performing startup() on coreboot
07:03:06:0110 FuEngine             disabling plugin because: failed to startup using coreboot: No coreboot detected on this machine.
07:03:06:0110 FuPlugin             performing startup() on modem_manager
07:03:06:0112 FuPlugin             performing startup() on dell_esrt
07:03:06:0112 FuEngine             disabling plugin because: failed to startup using dell_esrt: UEFI firmware already supported
07:03:06:0112 FuPlugin             performing startup() on uefi
07:03:06:0114 FuPlugin             performing startup() on dell
07:03:06:0114 FuEngine             disabling plugin because: failed to startup using dell: Firmware updating not supported
07:03:06:0114 FuPlugin             performing startup() on uefi_recovery
07:03:06:0116 FuEngine             disabling plugin because: failed to startup using uefi_recovery: not required
07:03:06:0116 FuPlugin             performing coldplug() on thunderbolt
07:03:06:0116 FuPlugin             performing coldplug() on amt
07:03:06:0116 FuEngine             disabling plugin because: failed to coldplug using amt: ME refused connection
07:03:06:0116 FuPlugin             performing coldplug() on superio
07:03:06:0118 FuPlugin             performing coldplug() on modem_manager
07:03:06:0119 FuPluginMm           ModemManager 1.10.6-2.fc31 is available
07:03:06:0119 FuPlugin             performing coldplug() on thunderbolt_power
07:03:06:0119 FuEngine             disabling plugin because: failed to coldplug using thunderbolt_power: No support for force power detected
07:03:06:0119 FuPlugin             performing coldplug() on uefi
07:03:06:0122 FuDevice             using 05b229057354d10ecbd0946a3d625b255daa2393 for UEFI-f226ab91-6d60-4095-afca-4c2847389760-dev0
07:03:31:0148 FIXME                failed to allocate dbus proxy object: Error calling StartServiceByName for com.intel.tss2.Tabrmd: Timeout was reached
ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a) 
07:03:31:0152 FuPluginUefi         failed to initialize TPM library
07:03:31:0152 FuPlugin             emit added from uefi: 05b229057354d10ecbd0946a3d625b255daa2393
07:03:31:0153 FuDeviceList         ::added 05b229057354d10ecbd0946a3d625b255daa2393
07:03:31:0154 XbSilo               1.00ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='f226ab91-6d60-4095-afca-4c2847389760']/../..` limit=1 -> 0 results
07:03:31:0154 FuHistory            get device
07:03:31:0158 FuPluginUefi         SecureBoot is: Disabled
07:03:31:0159 FuPluginUefi         UX Capsule support : Enabled
07:03:31:0159 FuEngine             using plugins: csr, nitrokey, wacom_usb, nvme, thelio_io, synaptics_prometheus, upower, synapticsmst, dell_dock, emmc, rts54hid, solokey, thunderbolt, synaptics_cxaudio, ata, fastboot, rts54hub, synaptics_rmi, dfu, wacom_raw, vli_usbhub, altos, jabra, unifying, superio, colorhug, optionrom, modem_manager, steelseries, ebitdo, uefi
07:03:31:0171 FuPluginDfu          DFU v1.1
07:03:31:0171 FuPluginDfu          using DFU transfer size 0x0040 bytes
07:03:31:0171 FuDevice             using 0f62b6984e1559ed77613bf161e4069e74714baf for usb:00:07
07:03:31:0269 FuPluginDfu          no UM0424 sector description in (null)
07:03:31:0269 FuPlugin             emit added from dfu: 0f62b6984e1559ed77613bf161e4069e74714baf
07:03:31:0269 FuPlugin             performing fu_plugin_device_registered() on uefi
07:03:31:0269 FuDeviceList         ::added 0f62b6984e1559ed77613bf161e4069e74714baf
07:03:31:0271 XbSilo               1.97ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='5a7305e3-4e70-5822-8225-ee08230b6454']/../..|components/component/provides/firmware[@type='flashed'][text()='260d4184-774d-53dc-a7a7-4e56d29a9496']/../..` limit=1 -> 0 results
07:03:31:0271 FuHistory            get device
07:03:31:0285 FuEngine             0 devices with subsystem nvme
07:03:31:0285 FuEngine             4 devices with subsystem drm
07:03:31:0288 FuEngine             1 devices with subsystem drm_dp_aux_dev
07:03:31:0288 FuPlugin             performing udev_device_added() on synapticsmst
07:03:31:0288 FuDevice             using 7c2dd454e6f29453896a4824e8234317d237f8c5 for PCI_SLOT_NAME=0000:00:02.0:drm_dp_aux0
07:03:31:0323 FuPluginSynapticsMST no device found on drm_dp_aux0: failed to enable remote control: failure writing data register: failed to write 0x5 bytes on layer:0, rad:0x0
07:03:31:0329 FuEngine             17 devices with subsystem block
07:03:31:0330 FuCommon             not checking 2210 as no version format set
07:03:31:0331 FuCommon             not checking 2210 as no version format set
07:03:31:0332 FuCommon             not checking 2210 as no version format set
07:03:31:0333 FuCommon             not checking 0001 as no version format set
07:03:31:0335 FuCommon             not checking 0001 as no version format set
07:03:31:0336 FuCommon             not checking 0001 as no version format set
07:03:31:0337 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0337 FuDevice             using 602b0a6cc821d155208724f0e22f8d111542b74c for DEVPATH=/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0
07:03:31:0337 FuPluginAta          CBD:            a1 08 0e 00 01 00 00 00 40 ec 00 00 
07:03:31:0340 FuPluginAta          ATA_12 status=0x0, host_status=0x0, driver_status=0x0
07:03:31:0340 FuPluginAta          SB:             00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
07:03:31:0340 FuPluginAta          ATA_12 stat=00 err=00 nsect=00 lbal=00 lbam=00 lbah=00 dev=00
07:03:31:0340 FuPluginAta          invalid component ID, skipping
07:03:31:0340 FuPlugin             emit added from ata: 602b0a6cc821d155208724f0e22f8d111542b74c
07:03:31:0341 FuPlugin             performing fu_plugin_device_registered() on uefi
07:03:31:0341 FuDeviceList         ::added 602b0a6cc821d155208724f0e22f8d111542b74c
07:03:31:0343 XbSilo               1.85ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='3cb23b14-ebf7-5b32-a58b-5013a9ba82c5']/../..|components/component/provides/firmware[@type='flashed'][text()='f5259ab8-6438-533e-b922-2897b35230c9']/../..|components/component/provides/firmware[@type='flashed'][text()='a7604354-14dd-5a8b-832d-c14e65cb83d5']/../..` limit=1 -> 0 results
07:03:31:0343 FuHistory            get device
07:03:31:0345 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0347 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0348 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0349 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0350 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0351 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0352 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0353 FuCommon             not checking SBFM61.3 as no version format set
07:03:31:0356 FuEngine             3 devices with subsystem hidraw
07:03:31:0357 FuDevice             using 279ed287-3607-549e-bacc-f873bb9838c4 for HIDRAW\VEN_046D&DEV_C52B
07:03:31:0359 XbSilo               0.49ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='bcab588c-1014-5fc6-b123-2e125aa3d9da']` limit=1 -> 0 results
07:03:31:0359 XbSilo               0.65ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='9bb93661-fefc-5522-8216-50f6d3e29def']` limit=1 -> 0 results
07:03:31:0359 FuPlugin             bcab588c-1014-5fc6-b123-2e125aa3d9da,9bb93661-fefc-5522-8216-50f6d3e29def has no updates, so ignoring device
07:03:31:0360 FuDevice             already set GType to FuUnifyingRuntime, ignoring FuUnifyingPeripheral
07:03:31:0362 FuDevice             already set GType to FuUnifyingRuntime, ignoring FuUnifyingRuntime
07:03:31:0362 FuDevice             already set GType to FuUnifyingRuntime, ignoring FuUnifyingPeripheral
07:03:31:0362 FuDevice             using 53d907a89b8cf6db282e318dcb99ad85850fb789 for DEVPATH=/devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2:1.2
07:03:31:0571 FuPlugin             emit added from unifying: 53d907a89b8cf6db282e318dcb99ad85850fb789
07:03:31:0571 FuPlugin             performing fu_plugin_device_registered() on uefi
07:03:31:0572 FuDeviceList         ::added 53d907a89b8cf6db282e318dcb99ad85850fb789
07:03:31:0573 XbSilo               1.16ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='9d131a0c-a606-580f-8eda-80587250b8d6']/../..|components/component/provides/firmware[@type='flashed'][text()='279ed287-3607-549e-bacc-f873bb9838c4']/../..` limit=1 -> 1 results
07:03:31:0573 FuHistory            get device
07:03:31:0574 FuDevice             already set GType to FuUnifyingRuntime, ignoring FuUnifyingRuntime
07:03:31:0575 FuDevice             already set GType to FuUnifyingRuntime, ignoring FuUnifyingPeripheral
07:03:31:0575 FuDevice             using 53d907a89b8cf6db282e318dcb99ad85850fb789 for DEVPATH=/devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2:1.2
07:03:31:0783 FuPlugin             emit added from unifying: 53d907a89b8cf6db282e318dcb99ad85850fb789
07:03:31:0783 FuPlugin             performing fu_plugin_device_registered() on uefi
07:03:31:0783 FuDeviceList         device 53d907a89b8cf6db282e318dcb99ad85850fb789 already exists, ignoring
07:03:31:0784 XbSilo               0.84ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='9d131a0c-a606-580f-8eda-80587250b8d6']/../..|components/component/provides/firmware[@type='flashed'][text()='279ed287-3607-549e-bacc-f873bb9838c4']/../..` limit=1 -> 1 results
07:03:31:0784 FuHistory            get device
07:03:31:0788 FuDevice             using 2e6b7522f6d0121584f1fb2c2f7006e031d1f62a for HID_PHYS=usb-0000:00:14.0-4/input0
07:03:31:0791 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:14.0/usb2/2-4/2-4:1.0/0003:06CB:114F.0004/hidraw/hidraw1: failed to read PDT entry @ 0x00e9: input count zero
07:03:31:0795 FuEngine             17 devices with subsystem pci
07:03:31:0798 FuDevice             using bbbf1ce3d1cf15550c3760b354592040292415bb for PCI_SLOT_NAME=0000:00:02.0
07:03:31:0798 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:02.0: failed to open (null): Bad address
07:03:31:0819 FuEngine             Emitting PropertyChanged('Status'='idle')
07:03:31:0819 FuMain               Emitting PropertyChanged('Status'='idle')
07:03:31:0821 FuMain               Started with locale en_GB.UTF-8
07:03:31:0821 FuMain               Daemon ready for requests
07:03:31:0823 FuMain               FuMain: acquired name: org.freedesktop.fwupd

Comment 12 Ilgaz 2019-11-19 07:15:19 UTC
fwupdmgr get-devices
Failed to connect to daemon: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached

Comment 13 Milan Zink 2019-11-19 10:03:15 UTC
@Ilgaz

But the problem is still with TPM:

07:03:06:0122 FuDevice             using 05b229057354d10ecbd0946a3d625b255daa2393 for UEFI-f226ab91-6d60-4095-afca-4c2847389760-dev0
07:03:31:0148 FIXME                failed to allocate dbus proxy object: Error calling StartServiceByName for com.intel.tss2.Tabrmd: Timeout was reached
ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a) 
07:03:31:0152 FuPluginUefi         failed to initialize TPM library

I think this more TPM bug...  Richard Hughes, what do you think? Or should fwupgmgr ignore TPM errors or prolong timeout??

Comment 14 Ilgaz 2019-11-19 11:38:07 UTC
I have to boot using acpi_osi= argument just in case if it is related. While on it, I can provide any information if needed.

Comment 15 Ilgaz 2019-11-20 16:27:58 UTC
I noticed the following after I started KDE (plasma wayland) on rawhide.

Nov 20 19:26:19 localhost.localdomain systemd[1]: Failed to start TPM2 Access Broker and Resource Management Daemon.

Comment 16 Jorge Rodríguez 2019-11-24 13:06:19 UTC
The same issue here;

For some reason it is failing to try update the firmware of my BIOS system

[jorge@fedora31 ~]$ systemctl status fwupd
● fwupd.service - Firmware update daemon
   Loaded: loaded (/usr/lib/systemd/system/fwupd.service; static; vendor preset: disabled)
   Active: active (running) since Sun 2019-11-24 13:40:58 CET; 5s ago
     Docs: https://fwupd.org/
 Main PID: 5898 (fwupd)
    Tasks: 6 (limit: 9437)
   Memory: 5.0M
      CPU: 189ms
   CGroup: /system.slice/fwupd.service
           └─5898 /usr/libexec/fwupd/fwupd

nov 24 13:40:33 fedora31 systemd[1]: Starting Firmware update daemon...
nov 24 13:40:58 fedora31 fwupd[5898]: 12:40:58:0832 FIXME                failed to allocate dbus proxy object: Fel vid anrop av StartServiceByName för com.intel.tss2.Tabrmd: Tidsgrä>
nov 24 13:40:58 fedora31 fwupd[5898]: ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a)
nov 24 13:40:58 fedora31 fwupd[5898]: 12:40:58:0887 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:02.0/0000:01:00.0: failed to open (null): Felaktig>
nov 24 13:40:58 fedora31 systemd[1]: Started Firmware update daemon.

[jorge@fedora31 ~]$ LANG=C sudo /usr/libexec/fwupd/fwupdate -L
failed: Error opening file /sys/firmware/efi/efivars/FWUPDATE_DEBUG_LOG-0abba7dc-e516-4167-bbf5-4d9d1c739416: No such file or directory

[jorge@fedora31 ~]$ LANG=C sudo /usr/libexec/fwupd/fwupdate -i
failed: Error opening file /sys/firmware/efi/efivars/fwupd-7039436b-6acf-433b-86a1-368ec2ef7e1f-0-0abba7dc-e516-4167-bbf5-4d9d1c739416: No such file or directory

[jorge@fedora31 ~]$ LANG=C sudo /usr/libexec/fwupd/fwupdate -l
system-firmware type, {7039436b-6acf-433b-86a1-368ec2ef7e1f} version 37 can be updated to any version above 36

[jorge@fedora31 ~]$ fwupdmgr get-devices
MS-7693
│
├─KINGSTON SA400S37240G:
│     Enhets-ID:           a26cb0d73c131a0c8a1fcf3155aec8dfec312c62
│     Sammanfattning:      ATA Drive
│     Current version:     SBFKB1D1
│     Vendor:              Advanced Micro Devices, Inc. [AMD/ATI]
│     GUIDs:               a15ca56f-73e6-5996-99b1-f62af8ec5345
│                          2a76fab0-59b3-53a9-bdc6-7ba2cc24ee37
│                          5bfd3e07-4ee5-5934-85e6-7aa10b2eca42
│     Device Flags:        • Internal device
│                          • Updatable
│                          • Requires AC power
│                          • Needs a reboot after installation
│                          • Device is usable for the duration of the update
│   
├─Samsung SSD 860 EVO 250GB:
│     Enhets-ID:           1f6af77e1f74cc54b036cfd008d4772e14cb477d
│     Sammanfattning:      ATA Drive
│     Current version:     RVT01B6Q
│     Vendor:              Advanced Micro Devices, Inc. [AMD/ATI]
│     GUIDs:               8e9455c5-b03b-5357-b59e-4df66e04c7ce
│                          5b23aa59-694d-5622-a0b6-d294b9821711
│                          00641f76-401e-5a04-8167-4c567e3116f8
│     Device Flags:        • Internal device
│                          • Updatable
│                          • Requires AC power
│                          • Needs a reboot after installation
│                          • Device is usable for the duration of the update
│   
└─System Firmware:
      Enhets-ID:           1d70a31dd3ff0941761550a38436fc990c6c3ff0
      Current version:     0.0.37
      Minimum Version:     0.0.37
      Vendor:              MSI
      GUID:                7039436b-6acf-433b-86a1-368ec2ef7e1f
      Device Flags:        • Internal device
                           • Updatable
                           • Requires AC power
                           • Needs a reboot after installation
                           • Cryptographic hash verification is available
                           • Device is usable for the duration of the update

Comment 17 Jorge Rodríguez 2019-11-24 13:43:10 UTC
But version in the bios actually is 37 so i dont know why of this sentence 

[jorge@fedora31 ~]$ LANG=C sudo /usr/libexec/fwupd/fwupdate -l
system-firmware type, {7039436b-6acf-433b-86a1-368ec2ef7e1f} version 37 can be updated to any version above 36

Comment 18 Pavel Roskin 2019-11-24 23:26:15 UTC
I have two systems running Fedora 31, but only one of them is exhibiting the problem. Reinstalling fwupd did not make any difference.

I tried running "sudo /usr/libexec/fwupd/fwupd --verbose" and "fwupdmgr get-devices" in two windows. The later command produces output about my system and exists successfully.

I didn't know if it's related, bug fwupd showed an error message among other output:

23:17:25:0110 FIXME                failed to allocate dbus proxy object: Error calling StartServiceByName for com.intel.tss2.Tabrmd: Timeout was reached
ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a)

If I interrupt fwupd on the command line with Ctrl-C and start it again, it takes fwupdmgr about 18 seconds to produce its output and exit.

Comment 19 Jorge Rodríguez 2019-11-25 08:37:37 UTC
In fedora 31 if i downgrade package fwupd from 1.3.3-1.fc31  to version 1.2.11-2.fc31 the issue is not present.

Comment 20 Dugan Chen 2019-11-26 14:57:13 UTC
I know what's causing this. It's this bug:

https://github.com/fwupd/fwupd/issues/1353

The workaround here https://github.com/fwupd/fwupd/issues/1549#issuecomment-552158017 ("sudo dnf remove tpm2-abrmd; sudo dnf autoremove; sudo reboot; sudo dnf install tpm2-abrmd") fixed it for me.

Also, I see that the priority for this issue is set to "Low". I'm not sure why the other posters didn't report this, but this was causing shutdowns and reboots to take forever (possibly close to a minute).

Comment 21 Dugan Chen 2019-11-26 15:03:38 UTC
Sorry, the problem did actually come back after I reinstalled tpm2-abrmd.

Comment 22 LinuxUser1989 2019-11-27 23:53:39 UTC
Fresh install of Fedora 31. The system downloaded updates on first bootup, rebooted, and threw this error: 
Failed to Update:
Detailed errors from the package manager follow:

Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached


Running sudo /usr/libexec/fwupd/fwupd --verbose gives:
23:48:40:0303 FuDebug              Verbose debugging enabled (on console 1)
23:48:40:0303 FuConfig             loading config values from /etc/fwupd/daemon.conf
23:48:40:0304 Fwupd                looking for os-release at /etc/os-release
23:48:40:0304 FuConfig             loading /usr/share/fwupd/metainfo
23:48:40:0304 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
23:48:40:0304 XbSilo               file: 0ae864be-38a3-5efc-824a-64c7fed63c86, current:0ae864be-38a3-5efc-824a-64c7fed63c86, cached: (null)
23:48:40:0304 XbSilo               loading silo with file contents
23:48:40:0304 FuConfig             using config path of /etc/fwupd
23:48:40:0304 FuConfig             loading config from /etc/fwupd/remotes.d/vendor-directory.conf
23:48:40:0304 FuConfig             loading config from /etc/fwupd/remotes.d/lvfs.conf
23:48:40:0305 FuConfig             loading config from /etc/fwupd/remotes.d/lvfs-testing.conf
23:48:40:0305 FuConfig             loading config from /etc/fwupd/remotes.d/dell-esrt.conf
23:48:40:0305 FuConfig             loading config from /etc/fwupd/remotes.d/vendor.conf
23:48:40:0305 FuConfig             ignoring unfound remote fwupd
23:48:40:0305 FuConfig             ordering lvfs-testing=lvfs+1
23:48:40:0305 FuConfig             ignoring unfound remote fwupd
23:48:40:0305 FuConfig             ignoring unfound remote fwupd
23:48:40:0305 FuConfig             ignoring unfound remote fwupd
23:48:40:0312 FuEngine             client certificate exists and working
23:48:40:0312 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
23:48:40:0312 FuHistory            got schema version of 5
23:48:40:0312 FuIdle               setting timeout to 7200s
23:48:40:0312 FuHwids              smbios property Manufacturer=System manufacturer
23:48:40:0312 FuHwids              smbios property EnclosureKind=3
23:48:40:0312 FuHwids              smbios property Family=To be filled by O.E.M.
23:48:40:0312 FuHwids              smbios property ProductName=System Product Name
23:48:40:0312 FuHwids              smbios property ProductSku=SKU
23:48:40:0312 FuHwids              smbios property BiosVendor=American Megatrends Inc.
23:48:40:0312 FuHwids              smbios property BiosVersion=5220
23:48:40:0312 FuHwids              smbios property BiosMajorRelease=05
23:48:40:0312 FuHwids              smbios property BiosMinorRelease=0d
23:48:40:0312 FuHwids              smbios property BaseboardManufacturer=ASUSTeK COMPUTER INC.
23:48:40:0312 FuHwids              smbios property BaseboardProduct=ROG STRIX X370-F GAMING
23:48:40:0315 FuQuirks             no /var/lib/fwupd/quirks.d, skipping
23:48:40:0315 XbSilo               attempting to load /var/cache/fwupd/quirks.xmlb
23:48:40:0315 XbSilo               file: 30b5cf4d-149b-5110-a783-29e035d4aa32, current:30b5cf4d-149b-5110-a783-29e035d4aa32, cached: (null)
23:48:40:0315 XbSilo               loading silo with file contents
23:48:40:0315 FuEngine             remote lvfs-testing not enabled, so skipping
23:48:40:0315 FuEngine             remote vendor not enabled, so skipping
23:48:40:0315 FuEngine             remote vendor-directory not enabled, so skipping
23:48:40:0315 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
23:48:40:0315 XbSilo               0.03ms      parse blob
23:48:40:0315 XbSilo               0.06ms      loaded file
23:48:40:0315 XbSilo               file: 109468ec-079d-5e3f-bf71-85ae0aed5e47, current:109468ec-079d-5e3f-bf71-85ae0aed5e47, cached: (null)
23:48:40:0315 XbSilo               loading silo with file contents
23:48:40:0315 XbSilo               0.01ms      parse blob
23:48:40:0316 XbSilo               0.23ms      query on / with `components/component` limit=0 -> 334 results
23:48:40:0316 FuEngine             334 components now in silo
23:48:40:0316 XbSilo               0.30ms      query on / with `components/component/provides/firmware` limit=0 -> 396 results
23:48:40:0316 XbSilo               0.11ms      query on / with `components/component/provides/firmware` limit=0 -> 396 results
23:48:40:0320 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
23:48:40:0320 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
23:48:40:0320 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so
23:48:40:0321 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_colorhug.so
23:48:40:0321 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so
23:48:40:0321 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_usb.so
23:48:40:0321 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_vli_usbhub.so
23:48:40:0322 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_vli_usbhub.so
23:48:40:0322 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so
23:48:40:0322 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt.so
23:48:40:0323 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
23:48:40:0323 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
23:48:40:0323 FuPlugin             added udev subsystem watch of pci
23:48:40:0323 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
23:48:40:0323 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
23:48:40:0323 FuPlugin             added udev subsystem watch of drm
23:48:40:0323 FuPlugin             added udev subsystem watch of drm_dp_aux_dev
23:48:40:0323 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so
23:48:40:0324 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_amt.so
23:48:40:0324 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
23:48:40:0324 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
23:48:40:0324 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so
23:48:40:0325 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hid.so
23:48:40:0325 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so
23:48:40:0325 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_altos.so
23:48:40:0325 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so
23:48:40:0326 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nitrokey.so
23:48:40:0326 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
23:48:40:0326 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
23:48:40:0326 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
23:48:40:0327 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
23:48:40:0327 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_cxaudio.so
23:48:40:0327 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_cxaudio.so
23:48:40:0327 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
23:48:40:0328 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
23:48:40:0328 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so
23:48:40:0328 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_rts54hub.so
23:48:40:0328 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
23:48:40:0328 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
23:48:40:0329 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
23:48:40:0332 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
23:48:40:0332 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
23:48:40:0333 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
23:48:40:0333 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
23:48:40:0335 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
23:48:40:0335 FuPluginDell         Using libsmbios 2.4
23:48:40:0335 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so
23:48:40:0336 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_upower.so
23:48:40:0336 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
23:48:40:0336 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
23:48:40:0336 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
23:48:40:0336 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
23:48:40:0337 FuPlugin             added udev subsystem watch of hidraw
23:48:40:0337 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
23:48:40:0337 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
23:48:40:0337 FuPlugin             added udev subsystem watch of nvme
23:48:40:0337 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
23:48:40:0337 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
23:48:40:0337 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thelio_io.so
23:48:40:0338 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thelio_io.so
23:48:40:0338 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
23:48:40:0338 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
23:48:40:0339 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
23:48:40:0340 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
23:48:40:0340 FuPlugin             added udev subsystem watch of block
23:48:40:0340 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
23:48:40:0340 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
23:48:40:0340 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
23:48:40:0341 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
23:48:40:0341 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
23:48:40:0341 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
23:48:40:0341 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so
23:48:40:0342 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_wacom_raw.so
23:48:40:0342 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
23:48:40:0342 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
23:48:40:0342 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
23:48:40:0343 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
23:48:40:0343 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so
23:48:40:0343 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ata.so
23:48:40:0343 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
23:48:40:0344 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
23:48:40:0344 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
23:48:40:0344 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
23:48:40:0344 FuEngine             plugin test is blacklisted
23:48:40:0344 FuPluginList         uefi_recovery [0] to be ordered after uefi [0] so promoting to [1]
23:48:40:0344 FuPluginList         dell [0] to be ordered after uefi [0] so promoting to [1]
23:48:40:0344 FuPluginList         thunderbolt_power [0] to be ordered after thunderbolt [0] so promoting to [1]
23:48:40:0344 FuPluginList         uefi [0] to be ordered after upower [0] so promoting to [1]
23:48:40:0344 FuPluginList         uefi_recovery [1] to be ordered after uefi [1] so promoting to [2]
23:48:40:0344 FuPluginList         dell [1] to be ordered after uefi [1] so promoting to [2]
23:48:40:0344 FuPluginList         thunderbolt [0] better than dell_dock [0] so bumping to [1]
23:48:40:0344 FuPluginList         dell_esrt [0] better than uefi [0] so bumping to [1]
23:48:40:0344 FuPluginList         dell_dock [0] better than synapticsmst [0] so bumping to [1]
23:48:40:0344 FuPluginList         thunderbolt [1] better than dell_dock [1] so bumping to [2]
23:48:40:0345 FuEngine             Emitting PropertyChanged('Status'='loading')
23:48:40:0345 FuMain               Emitting PropertyChanged('Status'='loading')
23:48:40:0345 FuPlugin             performing startup() on thunderbolt
23:48:40:0345 FuPluginThunderbolt  Using kernel 5.3.12-300.fc31.x86_64 (minimum 4.13.0)
23:48:40:0345 FuPlugin             performing startup() on synapticsmst
23:48:40:0345 FuPlugin             performing startup() on redfish
23:48:40:0345 FuEngine             disabling plugin because: failed to startup using redfish: no SMBIOS table
23:48:40:0345 FuPlugin             performing startup() on modem_manager
23:48:40:0348 FuPlugin             performing startup() on upower
23:48:40:0351 FuPlugin             performing startup() on unifying
23:48:40:0351 FuPlugin             performing startup() on dell_esrt
23:48:40:0351 FuEngine             disabling plugin because: failed to startup using dell_esrt: UEFI firmware already supported
23:48:40:0351 FuPlugin             performing startup() on coreboot
23:48:40:0351 FuEngine             disabling plugin because: failed to startup using coreboot: No coreboot detected on this machine.
23:48:40:0351 FuPlugin             performing startup() on uefi
23:48:40:0354 FuPlugin             performing startup() on uefi_recovery
23:48:40:0356 FuEngine             disabling plugin because: failed to startup using uefi_recovery: not required
23:48:40:0356 FuPlugin             performing startup() on dell
23:48:40:0356 FuEngine             disabling plugin because: failed to startup using dell: Firmware updating not supported
23:48:40:0356 FuPlugin             performing coldplug() on thunderbolt
23:48:40:0356 FuPlugin             performing coldplug() on amt
23:48:40:0356 FuEngine             disabling plugin because: failed to coldplug using amt: Unable to find a ME interface
23:48:40:0356 FuPlugin             performing coldplug() on superio
23:48:40:0358 FuPlugin             performing coldplug() on modem_manager
23:48:40:0359 FuPluginMm           ModemManager 1.10.6-2.fc31 is available
23:48:40:0359 FuPlugin             performing coldplug() on thunderbolt_power
23:48:40:0359 FuEngine             disabling plugin because: failed to coldplug using thunderbolt_power: No support for force power detected
23:48:40:0359 FuPlugin             performing coldplug() on uefi
23:48:40:0361 FuDevice             using e3f458838ea852ca5394b58861c10ed7f80e9009 for UEFI-94810ad6-139c-573f-bc6a-deb756b0dbde-dev0
23:49:05:0388 FIXME                failed to allocate dbus proxy object: Error calling StartServiceByName for com.intel.tss2.Tabrmd: Timeout was reached
ERROR:esys:src/tss2-esys/esys_context.c:69:Esys_Initialize() Initialize default tcti. ErrorCode (0x000a000a) 
23:49:05:0390 FuPluginUefi         failed to initialize TPM library
23:49:05:0390 FuPlugin             emit added from uefi: e3f458838ea852ca5394b58861c10ed7f80e9009
23:49:05:0391 FuDeviceList         ::added e3f458838ea852ca5394b58861c10ed7f80e9009
23:49:05:0391 XbSilo               0.81ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='94810ad6-139c-573f-bc6a-deb756b0dbde']/../..` limit=1 -> 0 results
23:49:05:0391 FuHistory            get device
23:49:05:0393 FuPluginUefi         SecureBoot is: Disabled
23:49:05:0394 FuPluginUefi         UX Capsule support : Enabled
23:49:05:0394 FuEngine             using plugins: fastboot, colorhug, wacom_usb, vli_usbhub, thunderbolt, optionrom, synapticsmst, solokey, rts54hid, altos, nitrokey, superio, csr, synaptics_cxaudio, rts54hub, modem_manager, synaptics_prometheus, upower, steelseries, unifying, nvme, thelio_io, emmc, dfu, synaptics_rmi, ebitdo, wacom_raw, jabra, ata, dell_dock, uefi
23:49:05:0408 FuEngine             41 devices with subsystem pci
23:49:05:0416 FuDevice             using 2ecd917ad746dd5c9fe039bbae19faea9cb60211 for PCI_SLOT_NAME=0000:01:00.1
23:49:05:0416 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:01.3/0000:01:00.1: failed to open (null): Bad address
23:49:05:0435 FuDevice             using e6b39964e9afdb51007551470f6c79a2e720fd08 for PCI_SLOT_NAME=0000:09:00.0
23:49:05:0436 FuEngine             failed to add udev device /sys/devices/pci0000:00/0000:00:03.1/0000:09:00.0: failed to open (null): Bad address
23:49:05:0464 FuEngine             6 devices with subsystem drm
23:49:05:0467 FuEngine             1 devices with subsystem drm_dp_aux_dev
23:49:05:0468 FuPlugin             performing udev_device_added() on synapticsmst
23:49:05:0469 FuDevice             using 4f92b4f4babff82537ffd85f31a96187f8868090 for PCI_SLOT_NAME=0000:09:00.0:drm_dp_aux0
23:49:05:0488 FuPluginSynapticsMST no device found on drm_dp_aux0: failed to read device: failed to read 0x1 bytes on layer:0, rad:0x0
23:49:05:0489 FuEngine             3 devices with subsystem hidraw
23:49:05:0493 FuDevice             using 279ed287-3607-549e-bacc-f873bb9838c4 for HIDRAW\VEN_046D&DEV_C52B
23:49:05:0494 XbSilo               0.55ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='db5fd4e7-14a5-50e2-86f5-b8df83a37533']` limit=1 -> 0 results
23:49:05:0495 XbSilo               0.47ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='67081326-e62d-5ec4-8f3f-c3b8b97a24d3']` limit=1 -> 0 results
23:49:05:0495 FuPlugin             db5fd4e7-14a5-50e2-86f5-b8df83a37533,67081326-e62d-5ec4-8f3f-c3b8b97a24d3 has no updates, so ignoring device
23:49:05:0495 FuEngine             0 devices with subsystem nvme
23:49:05:0500 FuEngine             21 devices with subsystem block
23:49:05:0500 FuCommon             not checking B180517a as no version format set
23:49:05:0501 FuDevice             using 9afcd7db8643d511ee389321038ae4c56c7a45f3 for DEVPATH=/devices/pci0000:00/0000:00:01.3/0000:01:00.1/ata1/host0/target0:0:0/0:0:0:0
23:49:05:0501 FuPluginAta          CBD:            a1 08 0e 00 01 00 00 00 40 ec 00 00 
23:49:05:0501 FuPluginAta          ATA_12 status=0x0, host_status=0x0, driver_status=0x0
23:49:05:0501 FuPluginAta          SB:             00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
23:49:05:0501 FuPluginAta          ATA_12 stat=00 err=00 nsect=00 lbal=00 lbam=00 lbah=00 dev=00
23:49:05:0501 FuPluginAta          invalid component ID, skipping
23:49:05:0502 FuPlugin             emit added from ata: 9afcd7db8643d511ee389321038ae4c56c7a45f3
23:49:05:0502 FuPlugin             performing fu_plugin_device_registered() on uefi
23:49:05:0502 FuDeviceList         ::added 9afcd7db8643d511ee389321038ae4c56c7a45f3
23:49:05:0503 XbSilo               1.17ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='48b1610c-ac0a-5b3f-8e9d-0ec80bb8901f']/../..|components/component/provides/firmware[@type='flashed'][text()='337e7a17-5a41-55b0-a3fd-10d320cf0e25']/../..|components/component/provides/firmware[@type='flashed'][text()='3ef8e6bf-cf93-582c-8b74-83d90b5c996b']/../..` limit=1 -> 0 results
23:49:05:0503 FuHistory            get device
23:49:05:0504 FuCommon             not checking B180517a as no version format set
23:49:05:0505 FuCommon             not checking B180517a as no version format set
23:49:05:0506 FuCommon             not checking B180517a as no version format set
23:49:05:0507 FuCommon             not checking B180517a as no version format set
23:49:05:0508 FuCommon             not checking CC26 as no version format set
23:49:05:0509 FuDevice             using 5707833ca0cf9ea34a2c58455973baa3ae262ee8 for DEVPATH=/devices/pci0000:00/0000:00:01.3/0000:01:00.1/ata5/host4/target4:0:0/4:0:0:0
23:49:05:0509 FuPluginAta          CBD:            a1 08 0e 00 01 00 00 00 40 ec 00 00 
23:49:05:0509 FuPluginAta          ATA_12 status=0x0, host_status=0x0, driver_status=0x0
23:49:05:0509 FuPluginAta          SB:             00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
23:49:05:0509 FuPluginAta          ATA_12 stat=00 err=00 nsect=00 lbal=00 lbam=00 lbah=00 dev=00
23:49:05:0509 FuPluginAta          invalid component ID, skipping
23:49:05:0510 FuPlugin             emit added from ata: 5707833ca0cf9ea34a2c58455973baa3ae262ee8
23:49:05:0510 FuPlugin             performing fu_plugin_device_registered() on uefi
23:49:05:0510 FuDeviceList         ::added 5707833ca0cf9ea34a2c58455973baa3ae262ee8
23:49:05:0511 XbSilo               1.17ms      query on / with `components/component/provides/firmware[@type='flashed'][text()='e5569d0d-7c32-529d-a299-a608e617da3f']/../..|components/component/provides/firmware[@type='flashed'][text()='354c0773-f37b-54f6-ad9d-ea7de6ff6398']/../..|components/component/provides/firmware[@type='flashed'][text()='cf0ef3ee-98c9-57b7-98ba-004566617290']/../..` limit=1 -> 0 results
23:49:05:0511 FuHistory            get device
23:49:05:0512 FuCommon             not checking CC26 as no version format set
23:49:05:0514 FuCommon             not checking CC26 as no version format set
23:49:05:0515 FuCommon             not checking CC26 as no version format set
23:49:05:0516 FuCommon             not checking CC26 as no version format set
23:49:05:0517 FuCommon             not checking CC26 as no version format set
23:49:05:0518 FuCommon             not checking CC26 as no version format set
23:49:05:0519 FuCommon             not checking CC26 as no version format set
23:49:05:0521 FuCommon             not checking CC26 as no version format set
23:49:05:0522 FuCommon             not checking CC26 as no version format set
23:49:05:0523 FuCommon             not checking CC26 as no version format set
23:49:05:0524 FuCommon             not checking CC26 as no version format set
23:49:05:0525 FuCommon             not checking CC26 as no version format set
23:49:05:0526 FuCommon             not checking CC26 as no version format set
23:49:05:0527 FuCommon             not checking CC26 as no version format set
23:49:05:0529 FuCommon             not checking CC26 as no version format set
23:49:05:0530 FuEngine             Emitting PropertyChanged('Status'='idle')
23:49:05:0530 FuMain               Emitting PropertyChanged('Status'='idle')
23:49:05:0532 FuMain               Started with locale en_US.UTF-8
23:49:05:0532 FuMain               Daemon ready for requests
23:49:05:0533 FuMain               FuMain: acquired name: org.freedesktop.fwupd

Didn't have this bug in Fedora 30.

Comment 23 Christian Hernandez 2019-12-09 14:58:48 UTC
Just adding my +1 here. I have the same issue. I upgraded to F31 a while back but the problem just started occurring with the latest update to fwupd.

Comment 24 Chris Rainey 2019-12-09 20:05:05 UTC
(In reply to Dugan Chen from comment #21)
> Sorry, the problem did actually come back after I reinstalled tpm2-abrmd.

Confirming that removing that package fixes the problem and I have not, nor need, to reinstall it.

Comment 25 jtagcat 2019-12-13 23:33:38 UTC
(In reply to Dugan Chen from comment #21)
> Sorry, the problem did actually come back after I reinstalled tpm2-abrmd.

+1 on the bug.

I have had the notification for a month or so, since nothing seemed broken, didn't investigate.

After removing the package and rebooting, I got 'updates successfully installed'. After reinstalling and rebooting, I get the same failure again.

Comment 26 Ben 2019-12-16 05:30:14 UTC
+1 to this bug...I have it too...I'm doing the downgrade install of fwupd as my current work around

Comment 27 Md Imamul Islam 2019-12-18 19:57:35 UTC
The main problem was caused by tpm2-abrmd. Now that tpm2-abrmd has released version 2.3.1, I would request the maintainers to update it in Fedora's repository as well.

Comment 28 Dugan Chen 2020-01-13 20:31:51 UTC
It is now the case that if you install Fedora 31, update it, and then do "sudo dnf autoremove", then tpm2-abrmd gets removed. So AFAIK this is resolved.

Comment 29 A.J. Bonnema 2020-01-13 22:14:28 UTC
I removed it and no longer have a problem with this and this is a fine workaround, but ..... what are the consequences of removing tpm2-abrmd? I do not have the tpm hardware, but it is a security package. So the question is: does the tpm2-abrmd does anything else? Or, does it do stuff even if you do not have tpm hardware installed?

I am not clear on the consequences of removing the package. Also, I do not understand why we don't have the release version 2.3.1 in F31. 

Is the upgrade of tpm2-abrmd still going to happen if we close the bug? if so, how will we know if we don't have the package installed?

I would propsed the bug to stay open, and close it when tpm2-abrmd is updated in Fedora.

Comment 30 Patrice 2020-02-15 06:35:25 UTC
Yeah, I also get the same issue since I upgraded my computers to Fedora 31.

The package involved is `tpm2-abrmd-2.2.0-4.fc31.src.rpm`.

After removing this package, no more `An important update has failed` error notification message at every boot.

I'll re-install the package `tpm2-abrmd` when it gets fixed, hopefully soon in a future Fedora update.


Note You need to log in before you can comment on or make changes to this bug.